using System;
using System.Windows.Media;
using Abt.Controls.SciChart.Visuals.RenderableSeries;

namespace Abt.Controls.SciChart.Wpf.TestSuite.TestCases.Histogram
{
    public class HeatPaletteProvider : IPaletteProvider
    {
        public Color? GetColor(IRenderableSeries series, double xValue, double yValue)
        {
            return Color.FromArgb((byte) (series.SeriesColor.A*yValue*20), series.SeriesColor.R, series.SeriesColor.G,
                                  series.SeriesColor.B);
        }

        public Color? OverrideColor(IRenderableSeries series, double xValue, double openValue, double highValue, double lowValue, double closeValue)
        {
            throw new NotImplementedException();
        }
    }
}